function U=lap1d(f,alpha,X,g0,g1)

% Résolution de l équation de Laplace avec données de 
% Dirichlet
% -u''+alpha u=f sur [X(1),X(end)]
% u(X(1))=g0
% u(X(end))=g1

n=length(X)-2;
h=X(2)-X(1);
e=ones(n,1);

% construction de la matrice et du second membre
A=spdiags([-e/h/h,(2/h/h+alpha)*e,-e/h/h],[-1,0,1],n,n);
F=f(X(2:end-1))';
F(1)=F(1)+g0/h/h;
F(end)=F(end)+g1/h/h;

% Résolution du système
U=A\F;
U=[g0;U;g1];
