% Algorithme de Schwarz avec conditions de Dirichlet:
% Critere d'arret
%
%
% Definition de l'intervalle discrétisé [a,b]
a = 0;
b = 1;
N = 100;
x =linspace(a,b,N+2);
m1=60;
m2=50;
x1=x(1:m1);
x2=x(m2:end);

% Definition de la fonction f, g0 , g1, alpha
alpha=1;
f = @(x) (alpha+9)*sin(3*x); 
g0=0;
g1=sin(3);


% Définition de la solution exacte
uex=@(x) sin(3*x);

% Appel à la fonction lap1d
U=lap1d(f,alpha,x,g0,g1);

% Tracé de la solution
plot(x,U)
hold on
plot(x,uex(x),'r')

vald=0;
valg=0;

err=1
ER=[]
while (err>1e-6)
  
  U1=lap1d(f,alpha,x1,g0,vald);
  valg=U1(m2);
  U2=lap1d(f,alpha,x2,valg,g1);
  vald=U2(1+m1-m2);
  
  
  err=abs(vald-U1(end))
  ER=[ER,err];
end
semilogy(ER)
